NisusWrtParserInternal::Variable Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
NisusWrtParserInternal::Variable Struct Reference

Internal structure: use to store a numbering, a variable or a version. More...

## Public Member Functions
| Variable (NisusWrtStruct::VariableType type=NisusWrtStruct::V_None)
| Constructor. More...
bool | isDate () const
| returns true if this is a date More...
std::string | getDateFormat () const
| returns the date format More...

## Public Attributes
int | m_type
| the main type More...
NisusWrtStruct::VariableType | m_containerType
| the container type More...
long | m_fieldType
| the variable type More...
int | m_refId
| the reference id More...
libmwaw::NumberingType | m_numberingType
| the numbering type More...
int | m_startNumber
| the start number More...
int | m_increment
| the increment More...
std::string | m_prefix
| the prefix More...
std::string | m_suffix
| the suffix More...
int | m_dateFormat
| the date format More...
std::string | m_sample
| a sample used in a dialog ? More...
std::string | m_extra
| some extra debuging information More...

## Friends
std::ostream & | operator<< (std::ostream &o, Variable const &num)
| operator<< More...

## Detailed Description

Internal structure: use to store a numbering, a variable or a version.

## Constructor & Destructor Documentation

## ◆ Variable()

NisusWrtParserInternal::Variable::Variable | ( | NisusWrtStruct::VariableType | type = `NisusWrtStruct::V_None` | ) |
| inlineexplicit

Constructor.

## Member Function Documentation

## ◆ getDateFormat()

std::string NisusWrtParserInternal::Variable::getDateFormat | ( |  | ) | const
| inline

returns the date format

Referenced by NisusWrtParser::readVariable().

## ◆ isDate()

bool NisusWrtParserInternal::Variable::isDate | ( |  | ) | const
| inline

returns true if this is a date

Referenced by getDateFormat().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Variable const & | num
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_containerType

NisusWrtStruct::VariableType NisusWrtParserInternal::Variable::m_containerType

the container type

Referenced by NisusWrtParserInternal::operator<<(), and NisusWrtParser::readVariable().

## ◆ m_dateFormat

int NisusWrtParserInternal::Variable::m_dateFormat

the date format

Referenced by getDateFormat(), NisusWrtParserInternal::operator<<(), and NisusWrtParser::readVariable().

## ◆ m_extra

std::string NisusWrtParserInternal::Variable::m_extra

some extra debuging information

Referenced by NisusWrtParserInternal::operator<<().

## ◆ m_fieldType

long NisusWrtParserInternal::Variable::m_fieldType

the variable type

Referenced by isDate(), NisusWrtParserInternal::operator<<(), and NisusWrtParser::readVariable().

## ◆ m_increment

int NisusWrtParserInternal::Variable::m_increment

the increment

Referenced by NisusWrtParserInternal::operator<<(), and NisusWrtParser::readVariable().

## ◆ m_numberingType

libmwaw::NumberingType NisusWrtParserInternal::Variable::m_numberingType

the numbering type

Referenced by NisusWrtParserInternal::operator<<(), and NisusWrtParser::readVariable().

## ◆ m_prefix

std::string NisusWrtParserInternal::Variable::m_prefix

the prefix

Referenced by NisusWrtParserInternal::operator<<(), and NisusWrtParser::readVariable().

## ◆ m_refId

int NisusWrtParserInternal::Variable::m_refId

the reference id

Referenced by NisusWrtParserInternal::operator<<(), and NisusWrtParser::readVariable().

## ◆ m_sample

std::string NisusWrtParserInternal::Variable::m_sample

a sample used in a dialog ?

Referenced by NisusWrtParserInternal::operator<<(), and NisusWrtParser::readVariable().

## ◆ m_startNumber

int NisusWrtParserInternal::Variable::m_startNumber

the start number

Referenced by NisusWrtParserInternal::operator<<(), and NisusWrtParser::readVariable().

## ◆ m_suffix

std::string NisusWrtParserInternal::Variable::m_suffix

the suffix

Referenced by NisusWrtParserInternal::operator<<(), and NisusWrtParser::readVariable().

## ◆ m_type

int NisusWrtParserInternal::Variable::m_type

the main type

Referenced by NisusWrtParserInternal::operator<<(), and NisusWrtParser::readVariable().

The documentation for this struct was generated from the following file:

- NisusWrtParser.cxx